Bug 29481 - Terminology: Collection code
Summary: Terminology: Collection code
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-15 12:09 UTC by Katrin Fischer
Modified: 2022-02-21 15:09 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.03


Attachments
Bug 29481: Terminology: Collection code, call number (1.79 KB, patch)
2021-11-17 11:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29481: Terminology: Collection code, call number (1.86 KB, patch)
2021-11-19 20:36 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 29481: Terminology: Collection code, call number (1.91 KB, patch)
2021-12-18 21:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29481: Terminology: Fix other occurrences of 'Collection code' (22.80 KB, patch)
2021-12-18 21:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29481: Terminology: Fix other occurrences of 'Collection code' (22.71 KB, patch)
2021-12-18 21:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29481: Terminology: Collection code, call number (1.99 KB, patch)
2021-12-20 08:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29481: Terminology: Fix other occurrences of 'Collection code' (22.76 KB, patch)
2021-12-20 08:52 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-11-15 12:09:40 UTC
This is from the new strings for 21.11:

koha-tmpl/opac-tmpl/bootstrap/en/xslt/MARC21slim2OPACResults.xsl:1513
Terminology: Collection code, call number:

We have standardized on just "collection" as we display the description and not a code. This should be fixed accordingly.
Comment 1 Owen Leonard 2021-11-17 11:39:39 UTC
Created attachment 127728 [details] [review]
Bug 29481: Terminology: Collection code, call number

This patch corrects an instance of the phrase "Collection code,"
replacing it with the standard "Collection."

To test, apply the patch and restart services.

- In the staff interface, go to Administration -> System preferences and
  set the OpacItemLocation preference to "library, collection code, and
  call number."
- In the OPAC, search the catalog using a term which will return
  multiple results.
- In the search results, item descriptions in the "Availability" line
  should read like this:

  [Collection, call number: Non-fiction 394.2663 Bu]
Comment 2 PTFS Europe Sandboxes 2021-11-19 20:36:12 UTC
Created attachment 127899 [details] [review]
Bug 29481: Terminology: Collection code, call number

This patch corrects an instance of the phrase "Collection code,"
replacing it with the standard "Collection."

To test, apply the patch and restart services.

- In the staff interface, go to Administration -> System preferences and
  set the OpacItemLocation preference to "library, collection code, and
  call number."
- In the OPAC, search the catalog using a term which will return
  multiple results.
- In the search results, item descriptions in the "Availability" line
  should read like this:

  [Collection, call number: Non-fiction 394.2663 Bu]

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 3 Jonathan Druart 2021-12-02 10:20:27 UTC
Should we fix the other occurrences as well?


koha-tmpl/intranet-tmpl/prog/en/columns.def:<field name="items.ccode">Collection code</field>
koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/patrons.pref:             ccode: "Collection code"

and in the framework installer files.
Comment 4 Katrin Fischer 2021-12-18 21:13:09 UTC
Created attachment 128695 [details] [review]
Bug 29481: Terminology: Collection code, call number

This patch corrects an instance of the phrase "Collection code,"
replacing it with the standard "Collection."

To test, apply the patch and restart services.

- In the staff interface, go to Administration -> System preferences and
  set the OpacItemLocation preference to "library, collection code, and
  call number."
- In the OPAC, search the catalog using a term which will return
  multiple results.
- In the search results, item descriptions in the "Availability" line
  should read like this:

  [Collection, call number: Non-fiction 394.2663 Bu]

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2021-12-18 21:13:14 UTC
Created attachment 128696 [details] [review]
Bug 29481: Terminology: Fix other occurrences of 'Collection code'

This changes Â"collection code" to be "collection" as Koha displays
the collection description and no codes. This will also help to make
the GUI more consistent overall.
Comment 6 Katrin Fischer 2021-12-18 21:14:09 UTC
Created attachment 128697 [details] [review]
Bug 29481: Terminology: Fix other occurrences of 'Collection code'

This changes "collection code" to be "collection" as Koha displays
the collection description and no codes. This will also help to make
the GUI more consistent overall.
Comment 7 Katrin Fischer 2021-12-18 21:14:41 UTC
(In reply to Jonathan Druart from comment #3)
> Should we fix the other occurrences as well?
> koha-tmpl/intranet-tmpl/prog/en/columns.def:<field
> name="items.ccode">Collection code</field>
> koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/patrons.pref:     
> ccode: "Collection code"
> 
> and in the framework installer files.

I made the additional changes, would you mind checking them?
Comment 8 Jonathan Druart 2021-12-20 08:51:58 UTC
Created attachment 128725 [details] [review]
Bug 29481: Terminology: Collection code, call number

This patch corrects an instance of the phrase "Collection code,"
replacing it with the standard "Collection."

To test, apply the patch and restart services.

- In the staff interface, go to Administration -> System preferences and
  set the OpacItemLocation preference to "library, collection code, and
  call number."
- In the OPAC, search the catalog using a term which will return
  multiple results.
- In the search results, item descriptions in the "Availability" line
  should read like this:

  [Collection, call number: Non-fiction 394.2663 Bu]

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2021-12-20 08:52:03 UTC
Created attachment 128726 [details] [review]
Bug 29481: Terminology: Fix other occurrences of 'Collection code'

This changes "collection code" to be "collection" as Koha displays
the collection description and no codes. This will also help to make
the GUI more consistent overall.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Fridolin Somers 2022-01-28 21:13:03 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 11 Kyle M Hall 2022-02-07 13:13:41 UTC
Pushed to 21.11.x for 21.11.03
Comment 12 Andrew Fuerste-Henry 2022-02-21 15:09:56 UTC
Missing dependency, not backported to 21.05